com.yahoo.platform.yui.compressor

## Class CssCompressor

- java.lang.Object
- - com.yahoo.platform.yui.compressor.CssCompressor

-     public class CssCompressor
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CssCompressor(java.io.Reader in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compress(java.io.Writer out, int linebreakpos)`
    `protected java.lang.String` | `preserveToken(java.lang.String css, java.lang.String preservedToken, java.lang.String tokenRegex, boolean removeWhiteSpace, java.util.ArrayList preservedTokens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CssCompressor

          public CssCompressor(java.io.Reader in)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### preserveToken

          protected java.lang.String preserveToken(java.lang.String css,
                                                   java.lang.String preservedToken,
                                                   java.lang.String tokenRegex,
                                                   boolean removeWhiteSpace,
                                                   java.util.ArrayList preservedTokens)

      Parameters:
        `css` - - full css string
        `preservedToken` - - token to preserve
        `tokenRegex` - - regex to find token
        `removeWhiteSpace` - - remove any white space in the token
        `preservedTokens` - - array of token values
      Returns:

    - #### compress

          public void compress(java.io.Writer out,
                               int linebreakpos)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.